from numpy import zeros,array,product, \
                     diagonal,dot


a = array([[ 1.0, 4.0, 1.0], \
           [1.0, 6.0,-1.0], \
           [ 2.0, -1.0, 2.0]])

det = product(diagonal(a))     #ypologismos orizousas

print '\ndet =',det              #ektypwsi orizousas
